* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Lato", sans-serif;
}

:root {
    --imperial-red: #e63946;
    --prussin-blue: #1d3557;
    --eladon-blue: #457b9d;
    --honeydew: #f1faee;
}

html {
    scroll-behavior: smooth;
    height: 100%
}

body {
    background-color: var(--honeydew);
}

.container {
    max-width: 80vw;
    margin: auto;
}

img {
    width: 100%;
    height: 100%;
}

section {
    padding-bottom: 2rem;
}

h2 {
    color: var(--prussin-blue);
    font-weight: 700;
    font-size: 3.5rem;
    margin-bottom: 2rem;
    text-transform: uppercase;
    font-family: 'Roboto Slab', serif;
    position: relative;
}

h2::before {
    content: '';
    position: absolute;
    width: 100px;
    height: 3px;
    background-color: var(--imperial-red);
    left: 50%;
    bottom: -0.4rem;
    transform: translateX(-50%);
    animation: animate 4s linear infinite;
}

@keyframes animate {
    0% {
        width: 100px;
    }
    50% {
        width: 200px;
    }
    100% {
        width: 100px;
    }
}

.whats {
    position: relative;
    position: fixed;
    bottom: 0;
    right: 0;
    padding: 30px;
    z-index: 1000;
    background: transparent;
}
.whats .fa-whatsapp {
    font-size: 2.7rem;
    text-align: center;
    background: none;
}

.float-button {
    position: relative;
    position: fixed;
    bottom: 0;
    left: 0;
    padding: 30px;
    z-index: 1000;
}

.btn-top {
    display: flex;
    justify-content: right;
    align-items: center;
    width: 50px;
    height: 50px;
    background-color: var(--honeydew);
    text-decoration: none;
    justify-content: center;
    border-radius: 50%;
    z-index: 999;
    border: 1px solid var(--imperial-red);
    opacity: 0.6;
}

.btn-top::after {
    content: "↑";
    font-size: 32px;
    font-weight: bolder;
    color: var(--imperial-red);
    padding-bottom: 10px;
    transition: margin-top 250ms;
}

.btn-top:hover::after {
    margin-top: -8px;
}

.top-bar {
    background: var(--prussin-blue);
    padding: 0.5rem 10vw;
    font-weight: 400;
    color: var(--honeydew);
    font-size: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

.top-bar .top-bar-content {
    display: flex;
    align-items: center;
    gap: 2rem;
}

.top-bar .content-itens {
    display: flex;
    align-items: center;
}

.top-bar .content-itens i {
    margin-right: 1rem;
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1.5rem 0;
    position: relative;
}

.navbar .logo img {
    position: absolute;
    width: 220px;
    height: 200px;
    margin-top: -2rem;
    z-index: 99;
    filter: drop-shadow(2px 4px 6px #fff);
}

.navbar .menu {
    display: flex;
    align-items: center;
    position: relative;
}

.navbar .menu .menu-itens {
    list-style: none;
    margin-left: 1rem;
}

.navbar .menu .menu-itens a {
    text-decoration: none;
    text-transform: uppercase;
    color: var(--prussin-blue);
    font-weight: 700;
    transition: ease-in-out 0.2s;
    position: relative;
}

.navbar .menu .menu-itens a:after {
    content: "";
    display: block;
    height: 2px;
    width: 0px;
    background: var(--prussin-blue);
    margin-top: 4px;
    transition: 0.3s;
    position: absolute;
}

.navbar .menu .menu-itens a:hover:after,
.navbar .menu .menu-itens a.ativo:after {
    width: 100%;
}

.menu-mobile {
    width: 2rem;
    height: 2rem;
    display: none;
    overflow: hidden;
    cursor: pointer;
    position: relative;
}

.menu-mobile span {
    position: absolute;
    display: block;
    height: 0.3rem;
    width: 100%;
    border-radius: 3rem;
    background-color: var(--imperial-red);
    transition: 0.25s ease-in-out;
}

.navbar .menu-mobile span:nth-child(1) {
    top: 0;
}

.navbar .menu-mobile span:nth-child(2) {
    top: 0.5rem;
}

.navbar .menu-mobile span:nth-child(3) {
    top: 1rem;
}

.navbar.active .menu-mobile span:nth-child(1) {
    transform: rotate(-45deg);
    top: 1rem;
}

.navbar.active .menu-mobile span:nth-child(2) {
    opacity: 0;
}

.navbar.active .menu-mobile span:nth-child(3) {
    transform: rotate(45deg);
    top: 1rem;
}

.banner {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 80vh;
    width: 100%;
    background-image: url(/assets/banner.webp);
    background-repeat: repeat;
    background-position: center;
    background-size: cover;
    text-align: center;
}

section#banner {
    padding-bottom: 0;
}

.banner-content {
    z-index: 99;
}

.banner-content h1 {
    text-transform: uppercase;
    font-size: 3rem;
    color: var(--honeydew);
    margin-bottom: 1rem;
    border-bottom: 0.1rem var(--honeydew) solid;
    padding-bottom: 0.5rem;
    text-shadow: 0 0 7px #e63946, 0 0 10px #e63946, 0 0 21px #e63946, 0 0 42px #da9, 0 0 82px #da9, 0 0 92px #da9, 0 0 102px #da9, 0 0 151px #da9;
}

.banner-content h1 span {
    color: var(--imperial-red);
    text-shadow: 0 0 7px #f1faee, 0 0 10px #f1faee, 0 0 21px #f1faee, 0 0 42px #da9, 0 0 82px #da9, 0 0 92px #da9, 0 0 102px #da9, 0 0 151px #da9;
}

.banner-content p {
    color: var(--honeydew);
    font-size: 1.2rem;
    font-weight: 700;
    line-height: 1.5;
    margin-bottom: 1rem;
}

.banner-content p span {
    color: var(--imperial-red);
    font-weight: 700;
    text-shadow: 0 0 7px #f1faee, 0 0 10px #f1faee, 0 0 21px #f1faee, 0 0 42px #da9, 0 0 82px #da9, 0 0 92px #da9, 0 0 102px #da9, 0 0 151px #da9;
}

.banner-content button {
    border: none;
    background-color: var(--imperial-red);
    transition: ease-in-out 0.5s;
    padding: 0.5rem;
    cursor: pointer;
}

.banner-content button:hover {
    opacity: 0.8;
    transform: scale(1.1);
}

.banner-content button a {
    text-decoration: none;
    color: var(--honeydew);
    font-size: 1.2rem;
}

.resume-cards {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

.cards {
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--prussin-blue);
    position: relative;
    height: 300px;
}

.card-content {
    cursor: pointer;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: var(--honeydew);
    font-size: 1.8rem;
}

.card-content p {
    margin-top: 1rem;
}

#card-1 {
    animation: hover 5s;
    animation-iteration-count: infinite;
}

@keyframes hover {
    0% {
        background: var(--prussin-blue);
    }
    25% {
        background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(/assets/residencial.webp);
        background-repeat: no-repeat;
        background-size: cover;
    }
    50% {
        background: var(--prussin-blue);
    }
    75% {
        background: var(--prussin-blue);
    }
    100% {
        background: var(--prussin-blue);
    }
}

#card-2 {
    animation: hover2 5s;
    animation-iteration-count: infinite;
}

@keyframes hover2 {
    0% {
        background-color: var(--eladon-blue);
    }
    25% {
        background-color: var(--eladon-blue);
    }
    50% {
        background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(/assets/comercial.webp);
        background-repeat: no-repeat;
        background-size: cover;
    }
    75% {
        background: var(--eladon-blue);
    }
    100% {
        background-color: var(--eladon-blue);
    }
}

#card-3 {
    animation: hover3 5s;
    animation-iteration-count: infinite;
}

@keyframes hover3 {
    0% {
        background-color: var(--prussin-blue);
    }
    25% {
        background-color: var(--prussin-blue);
    }
    50% {
        background-color: var(--prussin-blue);
    }
    75% {
        background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(/assets/industrial.webp);
        background-repeat: no-repeat;
        background-size: cover;
    }
    100% {
        background: var(--prussin-blue);
    }
}

#about {
    padding: 0;
}

.about {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.about .about-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
    position: relative;
}

.about .about-content .about-text {
    width: 100%;
    height: 100%;
    position: relative;
    text-align: justify;
    font-size: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.about .about-content .about-text p {
    margin-bottom: 0.5rem;
    line-height: 2rem;
}

.about .about-content .about-image {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.about .about-content .about-image img {
    width: 100%;
    min-width: 220px;
    height: 100%;
}

#paralax {
    background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(/assets/paralax-img.webp);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    width: 100%;
    height: 300px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0;
}

.paralax-content {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.paralax-content cite {
    color: var(--honeydew);
    font-size: 2rem;
    text-align: center;
}

.paralax-content p {
    margin-top: 1rem;
    color: var(--honeydew);
}

#services {
    padding-top: 2rem;
}

#carrousel {
    position: relative;
    height: 100%;
    background-color: var(--eladon-blue);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding-top: 2rem;
}

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
    position: relative;
}

.swiper-slide img {
    width: 100%;
    height: 100px;
    position: relative;
}

.swiper-button-next,
.swiper-button-prev {
    color: var(--prussin-blue)!important;
}

#footer {
    background: var(--prussin-blue);
    padding: 1rem 0;
    border-top: 1px solid var(--imperial-red);
}

.footer-content {
    display: grid;
    grid-template-columns: 33% 33% 33%;
    align-items: center;
    justify-content: center;
    gap: 2rem;
}

.footer-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    position: relative;
    border-left: var(--imperial-red) 1px solid;
    border-right: var(--imperial-red) 1px solid;
    filter: drop-shadow(2px 4px 6px rgba(255, 255, 255, 0.4));
}

.footer-logo img {
    width: 100px;
    height: 100%;
}

.footer-menu {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.menu-footer-itens {
    list-style: none;
}

.menu-footer-itens a {
    text-decoration: none;
    font-size: 0.7rem;
    text-transform: uppercase;
    color: var(--honeydew);
    padding: 0.5rem 0;
    letter-spacing: 1px;
}

.footer-contact {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    height: 100%;
    text-align: center;
}

.contact-itens {
    display: flex;
    align-items: center;
    color: var(--honeydew);
    font-size: 0.7rem;
    margin-bottom: 0.5rem;
}

.contact-itens i {
    margin-right: 0.5rem;
}

#footer .container {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

.copy {
    text-align: center;
    margin-top: 1rem;
    color: var(--honeydew);
    font-size: 0.7rem;
}

.copy a {
    text-decoration: none;
    color: var(--honeydew);
    cursor: pointer;
}

@media (max-width:1024px) {
    .about .about-content .about-text p {
        font-size: 1rem;
        line-height: 1.5rem;
    }
    #carrousel {
        height: 100px;
    }
    .swiper-slide img {
        height: 70px;
    }
    .btn-top {
        left: 40px;
    }
}

@media (max-width:840px) {
    .top-bar {
        font-size: 0.7rem;
    }
    .navbar .logo img {
        width: 180px;
        height: 160px;
    }
}

@media (max-width:768px) {
    .navbar.active .menu {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 100%;
        position: fixed;
        top: 0;
        left: 0;
        padding: 0;
        margin: 0;
        z-index: 9999;
        background-color: var(--eladon-blue);
        font-size: 3rem;
        line-height: 1.5;
        overflow: hidden;
    }
    .navbar .menu {
        display: none;
    }
    .navbar .menu-mobile {
        display: flex;
        overflow: auto;
        z-index: 999999;
    }
    .navbar.active .menu .menu-itens {
        padding: 1rem;
    }
    .navbar.active .menu .menu-itens a {
        color: var(--honeydew);
    }
    .about .about-content {
        flex-direction: column;
    }
    .card-content {
        font-size: 1.3rem;
    }
}

@media (max-width:615px) {
    .top-bar {
        font-size: 0.6rem;
    }
    .navbar .logo img {
        width: 180px;
        height: 160px;
    }
    .resume-cards {
        grid-template-columns: 1fr;
    }
    .swiper-slide img {
        height: 56px;
    }
    .footer-content {
        gap: 1.3rem;
    }
    .footer-contact {
        gap: 0;
    }
}

@media (max-width:425px) {
    .top-bar {
        display: none;
    }
    .navbar .logo img {
        width: 108px;
        height: 100px;
    }
    section#cards {
        padding-bottom: 0;
    }
    .about .about-content {
        gap: 0;
    }
    #carrousel {
        padding: 0;
        height: 70px;
    }
    .swiper-slide img {
        height: 46px;
    }
    .footer-content {
        grid-template-columns: 50%;
    }
    .footer-menu {
        display: none;
    }
}